Skip to main content
GET
/
api
/
reports
/
inventory-valuation
Retrieves the inventory valuation sheet
curl --request GET \
  --url https://api.example.com/api/reports/inventory-valuation \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "asDate": "<string>",
    "numberFormat": {
      "precision": 2,
      "divideOn1000": false,
      "showZero": true,
      "formatMoney": "total",
      "negativeFormat": "parentheses"
    },
    "itemsIds": [
      123
    ],
    "noneZero": true
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "code": "<string>",
      "type": "<string>",
      "quantityOnHand": 123,
      "averageCost": 123,
      "totalValue": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "assetAccountName": "<string>",
      "assetAccountCode": "<string>"
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedAsDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

asDate
string

The date for which the inventory valuation is requested

Example:

"2024-01-01T00:00:00.000Z"

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneTransactions
boolean

Whether to exclude transactions

Example:

false

noneZero
boolean

Whether to exclude zero values

Example:

false

onlyActive
boolean

Whether to include only active items

Example:

true

itemsIds
number[]

Array of item IDs to filter

Example:
[1, 2, 3]
warehousesIds
number[]

Array of warehouse IDs to filter

Example:
[10, 20]
branchesIds
number[]

Array of branch IDs to filter

Example:
[100, 200]

Response

The inventory valuation sheet

query
object
required

Query parameters used to generate the report

data
object[]
required

Inventory items valuation

meta
object
required

Report metadata